Skip to main content
GET
Get latest added expenses by organization

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

organizationId
string
required

The organization id of the carbon emissions UUID without dashes (32-character hex string)

Pattern: ^[0-9a-fA-F]{32}$
fromDate
string<date>

Used for filtering

toDate
string<date>

Used for filtering

max
integer<int>
default:10

Max records to return

Required range: 1 <= x <= 1000
offset
integer<int>
default:0

Offset to be used in list

Required range: x >= 0
sort
enum<string>[]

Parameter that defines property used for sorting

Available options:
description,
fullName,
amount,
emission,
date,
category
sortOrder
enum<string>[]

Parameter that defines in which order data will be sorted

Available options:
asc,
desc

Response

OK

description
string

Description

fullName
string

Name of expense owner

amount
number

Expense amount

emission
number

Expense emission

emissionUnit
string

Unit of emission

category
string

Category of expense

currency
string

Currency of amount

date
string<date>

Purchase date of expense

Last modified on August 31, 2026